#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './deletedialogbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "deletedialogbase.h"

#include <ntqvariant.h>
#include <tdelistbox.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqwidgetstack.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a DeleteDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DeleteDialogBase::DeleteDialogBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "DeleteDialogBase" );
    setProperty( "minimumSize", TQSize( 420, 320 ) );
    DeleteDialogBaseLayout = new TQVBoxLayout( this, 0, 6, "DeleteDialogBaseLayout"); 

    layout4 = new TQHBoxLayout( 0, 0, 6, "layout4"); 

    ddWarningIcon = new TQLabel( this, "ddWarningIcon" );
    ddWarningIcon->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)4, 0, 0, ddWarningIcon->sizePolicy().hasHeightForWidth() ) );
    layout4->addWidget( ddWarningIcon );

    layout3 = new TQVBoxLayout( 0, 0, 6, "layout3"); 

    ddDeleteText = new TQLabel( this, "ddDeleteText" );
    layout3->addWidget( ddDeleteText );
    layout4->addLayout( layout3 );
    DeleteDialogBaseLayout->addLayout( layout4 );

    ddFileList = new TDEListBox( this, "ddFileList" );
    ddFileList->setSelectionMode( TDEListBox::NoSelection );
    DeleteDialogBaseLayout->addWidget( ddFileList );

    ddNumFiles = new TQLabel( this, "ddNumFiles" );
    DeleteDialogBaseLayout->addWidget( ddNumFiles );

    ddCheckBoxStack = new TQWidgetStack( this, "ddCheckBoxStack" );

    ddShouldDeletePage = new TQWidget( ddCheckBoxStack, "ddShouldDeletePage" );
    ddShouldDeletePageLayout = new TQVBoxLayout( ddShouldDeletePage, 0, 6, "ddShouldDeletePageLayout"); 

    ddShouldDelete = new TQCheckBox( ddShouldDeletePage, "ddShouldDelete" );
    ddShouldDeletePageLayout->addWidget( ddShouldDelete );
    ddCheckBoxStack->addWidget( ddShouldDeletePage, 0 );

    ddDoNotShowAgainPage = new TQWidget( ddCheckBoxStack, "ddDoNotShowAgainPage" );
    ddDoNotShowAgainPageLayout = new TQVBoxLayout( ddDoNotShowAgainPage, 0, 6, "ddDoNotShowAgainPageLayout"); 

    ddDoNotShowAgain = new TQCheckBox( ddDoNotShowAgainPage, "ddDoNotShowAgain" );
    ddDoNotShowAgainPageLayout->addWidget( ddDoNotShowAgain );
    ddCheckBoxStack->addWidget( ddDoNotShowAgainPage, 1 );
    DeleteDialogBaseLayout->addWidget( ddCheckBoxStack );
    languageChange();
    resize( TQSize(542, 374).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
}

/*
 *  Destroys the object and frees any allocated resources
 */
DeleteDialogBase::~DeleteDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DeleteDialogBase::languageChange()
{
    setCaption( tr2i18n( "DeleteDialogBase" ) );
    ddWarningIcon->setText( tr2i18n( "Icon Placeholder, not in GUI" ) );
    ddDeleteText->setText( tr2i18n( "Deletion method placeholder, never shown to user." ) );
    ddDeleteText->setProperty( "alignment", tr2i18n( "WordBreak|AlignCenter" ) );
    TQToolTip::add( ddFileList, tr2i18n( "List of files that are about to be deleted." ) );
    TQWhatsThis::add( ddFileList, tr2i18n( "This is the list of items that are about to be deleted." ) );
    ddNumFiles->setText( tr2i18n( "Placeholder for number of files, not in GUI" ) );
    ddNumFiles->setProperty( "alignment", tr2i18n( "AlignVCenter|AlignRight" ) );
    ddShouldDelete->setText( tr2i18n( "&Delete files instead of moving them to the trash" ) );
    TQToolTip::add( ddShouldDelete, tr2i18n( "If checked, files will be permanently removed instead of being placed in the Trash Bin" ) );
    TQWhatsThis::add( ddShouldDelete, tr2i18n( "<qt><p>If this box is checked, files will be <b>permanently removed</b> instead of being placed in the Trash Bin.</p>\n"
"									\n"
"									<p><em>Use this option with caution</em>: most filesystems are unable to undelete deleted files reliably.</p></qt>" ) );
    ddDoNotShowAgain->setText( tr2i18n( "Do not &ask again" ) );
    TQToolTip::add( ddDoNotShowAgain, tr2i18n( "If checked, this dialog will no longer be shown, and files will be directly moved to the Trash Bin" ) );
    TQWhatsThis::add( ddDoNotShowAgain, tr2i18n( "<qt><p>If this box is checked, this dialog will no longer be shown, and files will be directly moved to the Trash Bin</p>" ) );
}

#include "deletedialogbase.moc"
